7.4.0-rc1 available for testing

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

7.4.0-rc1 available for testing

jmckenna
Administrator
The first release candidate for MapServer 7.4.0 is now available for
download:

https://mapserver.org/download.html#development-releases

For the detailed list of upcoming 7.4.0 changes please see the
changelog: https://mapserver.org/development/changelog/changelog-7-4.html


Thank you to all of the users, developers, documenters, and packagers
for sharing the passion for such a great project.

--
The MapServer Team






_______________________________________________
mapserver-users mailing list
[hidden email]
https://lists.osgeo.org/mailman/listinfo/mapserver-users
Reply | Threaded
Open this post in threaded view
|

Re: 7.4.0-rc1 available for testing -> segmentation fault in php-cli

Dieter Zuberbühler
Dear Mapserver Developers,

i could fix this issue only by downgrading to php7.2. Here, everything
is fine...

Hint: it's maybe a libssl dependency problem

libssl-dev : Depends: libssl1.1 (= 1.1.0g-2ubuntu4.3) but 1.1.1b-
1+ubuntu18.04.1+deb.sury.org+1 is to be installed

=> perhaps this will be fixed for future releases...


Thanks anyway!

Dieter


On Fri, 2019-05-03 at 13:41 +0200, GOGIS Dieter Zuberbühler wrote:

> Dear Mapserver Developers,
>
> i'm developing a custom php/mapscript application since more than ten
> years and was waiting for the php7.x mapscript support to upgrade my
> application. now i have troubles with the php-cli calls that i need
> for
> precaching/processing several things.
>
> I could build the php_mapscript.so module and in libapache2-mod-php
> everything works as expected. But in the php-cli (same version) i get
> a
> segmentation fault processing a querytemplate:
>
> @$oMap->queryByRect($my_extent); //this is fine in both php
> $result = $oMap->processquerytemplate(array(),false); //this fails in
> php-cli
>
> GNU Debugger output:
>
> Program received signal SIGSEGV, Segmentation fault.
> 0x00005555557ff8aa in zend_hash_internal_pointer_reset_ex ()
> (gdb) bt
> #0  0x00005555557ff8aa in zend_hash_internal_pointer_reset_ex ()
> #1  0x00007fffe78cc04d in mapscript_extract_associative_array ()
>     at /usr/lib/php/20180731/php_mapscript.so
> #2  0x00007fffe78c7784 in zim_mapObj_processQueryTemplate ()
>     at /usr/lib/php/20180731/php_mapscript.so
> #3  0x000055555587abce in execute_ex ()
> #4  0x000055555587bcb3 in zend_execute ()
> #5  0x00005555557ece22 in zend_execute_scripts ()
> #6  0x000055555578ce70 in php_execute_script ()
> #7  0x000055555587e18c in  ()
> #8  0x000055555564490b in  ()
> #9  0x00007ffff5c29b97 in __libc_start_main (main=
>     0x5555556444f0, argc=9, argv=0x7fffffffe4f8, init=<optimized
> out>,
> fini=<optimized out>, rtld_fini=<optimized out>,
> stack_end=0x7fffffffe4e8)
>     at ../csu/libc-start.c:310
> #10 0x0000555555644aaa in _start ()
>
> The system is where i run the application is Ubuntu 18.04LTS with the
> current php7.3
>
> The Query is based on postgis layers.
>
> Any Hint?
>
> Thanks in advance,
>
> Dieter
>


_______________________________________________
mapserver-users mailing list
[hidden email]
https://lists.osgeo.org/mailman/listinfo/mapserver-users